--主线剧情<26-1>
--剧情起始点：蜀山禁洞入口
--调用条件：上一章最后调用
--旗标变更：变更为(262)
--脚本id：7501
function m026_1()
	func_start(0,0,0)
	
	
	
	--修改行程
	ui.FinishQuest(602)
	ui.AddQuest(603)			
	
	
	--切地图 
	map.Change(1,1095)
	
	--变更脚本
	flag.SetValue(6001,262)
	global.PlayMusic(29,100,2000)
	player.SetPos(717,7529)
	
	
	
	--###############
	--#本段用到的npc#
	--###############
	local nLing = 1
	local nLong = 2
	
	--###@@@设置镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(530,5,7588,552,6,7490)
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(719,11,7575,695,1,7479)
	npc.Create(7,nLong,506+50,7537)
	npc.SetAt(nLong,1,0)
	npc.Create(8,nLing,475+50,7521)
	npc.SetAt(nLing,1,0)
	
	--淡入 
	effect.FadeIn(1,1)
	
	npc.MoveTo(nLong,506+250,7537)
	npc.MoveTo(nLing,475+220,7521,1)
	npc.SetAnim(nLing,125)
	global.Wait(0.5)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(826,54,7519,732,22,7528)
	npc.SetAtPos(nLing,725+4,7528+2)
	global.WaitForNpcPos(nLong,506+250,7537)
	camera.ResetLerp(2000)
	camera.ChangeCameraStatic(826,54,7519,729,29,7527)
	global.Wait(1.2)
	npc.SetHeadRot(nLong,45,0,0,100)
	npc.TurnToPos(nLong,756,7506,1)
	global.Wait(1.2)
	npc.SetAnimSpeed(nLing,20)
	npc.SetAnim(nLing,200)
	global.Wait(1)
	npc.SetAnimSpeed(nLing,100)
	npc.SetAnim(nLing,200)
	wt(0.5)
	ui.Dialog(80901,150,2,nLing,0,0)--你走吧。
	global.Wait(0.5)
	--龙溟完全转过身来
	npc.SetHeadRot(nLong,0,0,0,100)
	npc.TurnToNpc(nLong,nLing,1)
	global.Wait(0.5)
	npc.SetAnimSpeed(nLing,25)
	npc.SetAnim(nLing,218)
	wt(0.5)
	npc.SetAnimSpeed(nLing,100)
	npc.SetAnim(nLing,218)
	ui.Dialog(80902,154,2,nLing,0,0)--神农鼎既已得手，你也不必再做停留。此地十分隐秘，师伯他们也一时发现不了这里。
	global.Wait(0.6)
	ui.Dialog(80903,632,0,nLong,0,0)--……
	global.Wait(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(661,36,7535,760,32,7522)
	camera.ResetLerp(15000)
	camera.ChangeCameraStatic(638,37,7534,738,32,7534)
	--龙溟转身看向前方
	npc.TurnTo(nLong,1,0,1)
	global.Wait(0.5)
	--龙溟左右看
	npc.SetHeadRot(nLong,40,-10,1,30)
	global.Wait(0.5)
	npc.SetHeadRot(nLong,-40,-10,1,30)
	global.Wait(0.5)
	npc.SetHeadRot(nLong,0,0,1,40)
	global.Wait(0.5)
	ui.Dialog(80904,629,2,nLong,0,0)--这便是你曾说过的，烦躁苦恼之时会独自来小憩一会，平静心情的地方？
	global.Wait(0.8)
	ui.Dialog(80905,150,0,nLing,0,0)--……嗯。
	global.Wait(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(803,51,7601,736,27,7531)
	camera.ResetLerp(18000)
	camera.ChangeCameraStatic(778,46,7592,722,25,7512)
	--龙溟再次转回身
	npc.TurnToNpc(nLong,nLing,1)
	ui.Dialog(80906,712,2,nLong,0,0)--你的伤势不轻，休息之处在哪里？
	global.Wait(0.3)
	--凌波摇头
	npc.SetAnim(nLing,207,2)
	wt(1)
	ui.Dialog(80907,150,0,nLing,0,0)--我自己可以过去。
	global.Wait(0.6)
	ui.Dialog(80908,632,2,nLong,0,0)--……
	global.Wait(0.3)
	--龙溟摇头
	npc.SetAnim(nLong,207,1)
	npc.SetAnim(nLong,200)
	wt(0.5)
	--龙溟走近凌波
	npc.MoveTo(nLong,729,7530)
	npc.SetHeadRot(nLing,0,-10,0,30)
	global.Wait(0.4)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(764,44,7501,676,29,7546)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(773,47,7482,695,28,7542)
	global.WaitForNpcPos(nLong,729,7530)
	global.Wait(0.3)
	ui.Dialog(80909,629,0,nLong,0,0)--凌波。
	global.Wait(0.5)
	ui.Dialog(80910,151,2,nLing,0,0)--……
	global.Wait(0.3)
	ui.Dialog(80911,629,0,nLong,0,0)--给我一个保护心爱女子的机会。
	global.Wait(0.5)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(684,43,7505,766,34,7561)
	--龙溟伸手动作
	npc.SetAnim(nLong,231)
	npc.AddAnimChain(nLong,231,232)
	wt(3.5)
	ui.Dialog(80912,151,0,nLing,0,0)--……
	global.Wait(0.5)
	--凌音低头
	npc.SetHeadRot(nLing,0,10,1,30)
	global.Wait(0.8)
	ui.Dialog(80913,159,0,nLing,0,0)--你又何必……
	global.Wait(1.5)
	ui.Dialog(80914,159,0,nLing,0,0)--（轻声）前面的岔路口左拐。
	global.Wait(0.3)
	--龙溟点头
	npc.SetHeadRot(nLong,0,20,1,30)
	wt(0.15)
	npc.SetHeadRot(nLong,0,0,1,30)
	wt(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(740,51,7516,650,16,7542)
	npc.SetHeadRot(nLing,0,0,0,20)
	wt(1.5)
	--凌波伸手动作
	npc.SetAnimSpeed(nLing,50)
	npc.SetAnim(nLing,231)
	npc.AddAnimChain(nLing,231,232)
	wt(2.8)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(723,50,7512,662,-6,7568)
	camera.ResetLerp(2500)
	camera.ChangeCameraStatic(720,47,7514,660,-8,7570)
	wt(0.5)
	effect.FadeOutWhite(1,0.7)
	wt(1)
	global.MusicFadeOut(5500)
	global.Wait(5.5)
	npc.SetAnimSpeed(nLing,100)
	npc.Destroy(nLong)
	npc.Destroy(nLing)
	--==========
	
	
	--龙溟、凌波入队（假）
	-- ui.Message(80915)--假装加入龙溟	--龙溟加入队伍
	-- ui.Message(80916)--假装加入凌波	--凌波加入队伍
	
	--龙溟爆种
	player.ChangeLevel(64,70)
	
	global.PlayMusic(12,100,2000)
	--建立跟随凌波
	npc.Create(8,8,697,7530)
	npc.FollowPlayer(8)
	npc.SetCollisionType(8,0)
	
	
	--###@@@调整最终镜头方向
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(525,92,7554,741,32,7563)
	player.SetAt(1,0)
	fade(11,0.7)
	
	
	func_end(717,7529,1)
	map.CreateNameSE(3795)
	ui.Message(170725)--龙溟「隐瞒」「欺骗」不再具备效果
	
end